%define pkg_name        Net-CIDR
%define pkg_version     0.11
%define rpm_pkg_version 0.11
%define rpm_pkg_release 2.n0i.8

Summary:       Manipulate netblock lists in CIDR notation
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MR/MRSAM/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Carp)}


%description
The Net::CIDR package contains functions that manipulate lists of IP netblocks
expressed in CIDR notation. The Net::CIDR functions handle both IPv4 and IPv6
addresses.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes COPYING README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.11-2.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Wed Aug 17 2005 Marius FERARU <altblue@n0i.net> 0.11-1.n0i.7
- version 0.11

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 0.10-1.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.10-1.n0i.5
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.10-1.n0i.4
- version 0.10

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:0.09-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.09-0.n0i.2
- version 0.09
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sun Oct 12 2003 Marius FERARU <altblue@n0i.net> 0.08-0.n0i.1
- version 0.08
- spec file (re?)created using N0i::CPAN::RPMizer/2003101101
